-- +goose Up
ALTER TABLE fm_reports
  CHANGE COLUMN gpc_n1 engine1_gpc_n1 VARCHAR(255) NULL DEFAULT NULL,
  CHANGE COLUMN ptc_n2 engine1_ptc_n2 VARCHAR(255) NULL DEFAULT NULL;

ALTER TABLE fm_reports
  ADD COLUMN engine2_gpc_n1 VARCHAR(255) NULL DEFAULT NULL AFTER engine1_ptc_n2,
  ADD COLUMN engine2_ptc_n2 VARCHAR(255) NULL DEFAULT NULL AFTER engine2_gpc_n1;

-- +goose Down
ALTER TABLE fm_reports
  DROP COLUMN engine2_ptc_n2,
  DROP COLUMN engine2_gpc_n1;

ALTER TABLE fm_reports
  CHANGE COLUMN engine1_ptc_n2 ptc_n2 VARCHAR(255) NULL DEFAULT NULL,
  CHANGE COLUMN engine1_gpc_n1 gpc_n1 VARCHAR(255) NULL DEFAULT NULL;
